Page MenuHomeFreeBSD

Update multimedia/mythtv and friends to 29.1
ClosedPublic

Authored by jhale on Mar 2 2018, 3:07 PM.

Details

Summary

Update to 29.1 based on PR 225652 which updates to 29.0
Affected ports:

  • audio/mythplugin-mythmusic
  • multimedia/mythtv
  • multimedia/mythtv-frontend
  • www/mythplugin-mythweb

Convert multimedia/mythtv-frontend into a slave port of multimedia/mythtv
They were 95% the same port and it didn't make sense to keep two full ports
of mythtv. This will make future updates less complicated since patching
only needs to be done in one place now.

Known security vulnerabilities in FFmpeg have been addressed.
VuXML needs to be updated to unmark the new version as vulnerable.

CDIO support has been fixed in audio/mythplugin-mythmusic. It looks like this
has been broken for a long time, so I guess nobody uses it.

Test Plan

Poudriere tests done for:
10.4 i386 - pass
11.1 amd64 - pass
12.0-CURRENT amd64 -pass

Database creation works, setup app starts, but I don't have a video capture card
to really test this so I need help from the community on that point.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

jhale created this revision.Mar 2 2018, 3:07 PM
jhale updated this revision to Diff 40184.Mar 12 2018, 12:03 AM

Fix distinfo

jhale updated this revision to Diff 40185.Mar 12 2018, 12:11 AM

Fix distinfo

jhale updated this revision to Diff 40711.Mar 24 2018, 10:43 PM
  • Plug the rest of the known FFmpeg vulnerabilities
  • Prevent linking to libpulse if already installed
This revision was not accepted when it landed; it landed in state Needs Review.Mar 25 2018, 5:09 PM
This revision was automatically updated to reflect the committed changes.